Class PhusionPassenger::Standalone::Command |
In: | lib/phusion_passenger/standalone/command.rb
Parent: | Object

Methods

- description
- new
- show_in_command_list

Included Modules

- Utils

Constants

DEFAULT_OPTIONS | = | { :address => '0.0.0.0', :port => 3000, :env => ENV['RAILS_ENV'] || ENV['RACK_ENV'] || 'development', :max_pool_size => 6, :min_instances => 1, :spawn_method => 'smart-lv2', :nginx_version => PREFERRED_NGINX_VERSION

Public Class methods
description()

[ show source ]

        # File lib/phusion_passenger/standalone/command.rb, line 47
    47:         def self.description
    48:                 return nil
    49:         end

new(args)

[ show source ]

        # File lib/phusion_passenger/standalone/command.rb, line 51
    51:         def initialize(args)
    52:                 @args = args.dup
    53:                 @original_args = args.dup
    54:                 @options = DEFAULT_OPTIONS.dup
    55:         end

show_in_command_list()

[ show source ]

        # File lib/phusion_passenger/standalone/command.rb, line 43
    43:         def self.show_in_command_list
    44:                 return true
    45:         end